API referenceTimeseries
POST /api/Timeseries/PostFormula
Saves a math editor formula ad creates a new timeseries based on the formula.
POST
/api/Timeseries/PostFormulacurl -X POST "/api/Timeseries/PostFormula" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"id": 0,
"name": "<<your_math_editor_based_timeseries_name>>",
"comments": null,
"formula": "<<your_math_editor_formula>>",
"unitOfMeasure": 7,
"type": 1,
"decimals": 3,
"calculateNulls": false
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.Timeseries.FormulaCreationDto
Response
application/json
Returns the ID of the created formula based timeseries.
successbooleanerrorCodestring | nullerrorMessagestring | nullwarningMessagestring | nullinfoMessagestring | nullrecordCountinteger<int32>datainteger<int32>
{
"success": true,
"errorCode": "string",
"errorMessage": "string",
"warningMessage": "string",
"infoMessage": "string",
"recordCount": 0,
"data": 0
}